Bug 596478 (CVE-2010-1419) - CVE-2010-1419 WebKit: use-after-free vulnerability in handling of certain drag and drop operations
Summary: CVE-2010-1419 WebKit: use-after-free vulnerability in handling of certain dra...
Status: CLOSED WONTFIX
Alias: CVE-2010-1419
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20100607,repor...
Keywords: Security
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 19:36 UTC by Vincent Danen
Modified: 2016-03-04 12:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 08:17:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 19:36:17 UTC
A use after free issue exists in WebKit's handling of drag and drop when the window acting as a source of a drag operation is closed before the drag operation is completed. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved memory management.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=37618
Trac: http://trac.webkit.org/changeset/58616

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges kuzzcc, and Skylined of Google Chrome Security Team, as the original reporters.

Comment 2 Tomas Hoger 2010-05-28 11:28:19 UTC
Is this the same thing as?

[41469] Medium Memory error with drag + drop. Credit to kuzzcc. 
http://code.google.com/p/chromium/issues/detail?id=41469
http://googlechromereleases.blogspot.com/2010/05/stable-channel-update.html

(chromium bug is not public at the moment)

Comment 3 Vincent Danen 2010-05-28 16:00:31 UTC
Yes, this is the same thing (upstream bug references this bug).

Comment 6 Jan Lieskovsky 2010-06-08 16:47:45 UTC
Public via:
  [1] http://support.apple.com/kb/HT419


Note You need to log in before you can comment on or make changes to this bug.